<?php
/*****************************************************************************
 * Alert.php
 * Defines the key template Alert.
 *
 * Kabuki CMS (C) 2013-2015, Aaron van Geffen
 *****************************************************************************/

class Alert extends SubTemplate
{
	public function __construct($title = '', $message = '', $type = 'alert')
	{
		$this->_title = $title;
		$this->_message = $message;
		$this->_type = in_array($type, ['alert', 'error', 'success', 'info']) ? $type : 'alert';
	}

	protected function html_content()
	{
		echo '
					<div class="alert', $this->_type != 'alert' ? ' alert-' . $this->_type : '', '">', (!empty($this->_title) ? '
						<strong>' . $this->_title . '</strong><br>' : ''), '<p>', $this->_message, '</p>';

		$this->additional_alert_content();

		echo '</div>';
	}

	protected function additional_alert_content()
	{}
}
